Error plugin com.vernalis.knime.chem.mmp

Hi,
i’ve istalled the vernalis plugin but it seems not compare in Node Repository.
On the start knime 4.3.0, I receive this error message:

ERROR RepositoryManager Node ‘com.vernalis.knime.mmp.nodes.loop.CutTypeLoopStartNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created. The corresponding plugin bundle could not be activated!

ERROR RepositoryManager Node ‘com.vernalis.knime.mmp.nodes.uniquifyids.UniquifyIdsNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created. The corresponding plugin bundle could not be activated!

ERROR RepositoryManager Node ‘com.vernalis.knime.mmp.nodes.fragutil.maxcuts.rdkit.RDKitMMPMaxCutsNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created. The corresponding plugin bundle could not be activated!

ERROR RepositoryManager Node ‘com.vernalis.knime.mmp.nodes.fragutil.filter.rdkit.RDKitMMPFilterNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created. The corresponding plugin bundle could not be activated!

ERROR RepositoryManager Node ‘com.vernalis.knime.mmp.nodes.fragutil.filter.rdkit.RDKitMMPSplitterNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created. The corresponding plugin bundle could not be activated!

ERROR RepositoryManager Node ‘com.vernalis.knime.mmp.nodes.fragutil.fragment.rdkit.RDKitMMPFragmentNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created. The corresponding plugin bundle could not be activated!

ERROR RepositoryManager Node ‘com.vernalis.knime.mmp.nodes.fragutil.fragment.rdkit.RDKitMulticutMMPFragmentNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created. The corresponding plugin bundle could not be activated!

ERROR RepositoryManager Node ‘com.vernalis.knime.mmp.nodes.pairgen.frag2pair.Frag2Pair3NodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created. The corresponding plugin bundle could not be activated!

ERROR RepositoryManager Node ‘com.vernalis.knime.mmp.nodes.pairgen.frag2pair.ReferenceFrag2Pair3NodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created. The corresponding plugin bundle could not be activated!

ERROR RepositoryManager Node ‘com.vernalis.knime.mmp.nodes.fragutil.render.rdkit.RDKitMMPRenderMatchingBondsNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created. The corresponding plugin bundle could not be activated!

ERROR RepositoryManager Node ‘com.vernalis.knime.mmp.nodes.fragutil.render.rdkit.RDKitMMPRenderCuttableBondsNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created. The corresponding plugin bundle could not be activated!

ERROR RepositoryManager Node ‘com.vernalis.knime.mmp.nodes.transform.rdkit.RWMolApplyTransformNodeFactory’ from plugin ‘com.vernalis.knime.chem.mmp’ could not be created. The corresponding plugin bundle could not be activated!

In log file, i see this:

com.vernalis.knime.chem.core (1.28.0.v202012181313) “Vernalis Chemistry Core Plugin for the KNIME Workbench” [Active]
com.vernalis.knime.chem.mmp (1.28.0.v202012181313) “Vernalis Chemistry Matched-Molecular Pairs extension for KNIME Workbench” [Resolved]

Can anyone help me?
thanks

Thanks @romarra,

A few questions to help see if we can pin this down:

  1. Do you have the RDKit nodes installed?
  2. Is there anything else in the log file or console (if you don’t have it set, could you set the log and console levels to INFO or DEBUG?) relating to any of those ERROR messages above?
  3. Do you see any Vernalis nodes in the node repository?

Thanks

Steve

1 Like

Hi Steve,
Here new information!

Thans!!

log.txt (457,6 KB)

1

3

Thank you. Unfortunately there is nothing at all obvious in there, and it does look like you get the rest of the nodes. I have just made a minor bug fix for another issue in the MMP nodes, where I also changed a specific feature of the interaction with RDKit. Would you be able to update to the new version (v1.28.1) and try again?

thanks

Steve

1 Like

Thanks Steve, could you give me a zip file new version ?

You should be able to update from within KNIME, from the File menu select Update KNIME...

Steve

Hi,

I’m also getting the same error messages. Stating the corresponding plugin bundle could not be activated.

Could you provide some more information please, as follows:

  • Which version of KNIME are you using?
  • Which version of the Vernalis nodes are you using?
  • Which version of the RDKit nodes do you have installed?
  • Is there any further information in the log files associated with the error message?

Thanks

Steve

2 Likes

I have the same issue after some recent-ish updates on my Mac.
KNIME 4.5.2
Vermalis nodes: 1.33.0.v202205191100, the current one as for May 22, 2022.

However, after I installed the RDKit, the errors are gone. It seems Vermalis does not have the dependency specified during the install. Thanks!

Henry

2 Likes

@henryhmo thanks for letting us know. This is a strange one, as as far as I can tell, the RDKit dependency is declared in the relevant Vernalis plugins. I’m going to tag @greglandrum and @manuelschwarze in case there is anything else from the RDKit that we need to explicitly add as a dependency?

Steve

1 Like